Example of a customization recipe for SystemRescue:
===================================================

This directory contains an example of a recipe directory that can be used with
the SystemRescue customization script. The files provided in this directory are
dummy files, they are not doing anything useful in and of themselves. They are
just used to show how to prepare a recipe directory to be used with the
sysrescue-customize.sh script.

Assuming you have installed the customization script in /usr/local/bin/,
downloaded the ISO of the latest SystemRescue release in ${HOME}/Downloads,
and extracted the recipe directory in ${HOME}/sysrescue-custom-recipe, here is
and example of how you could run the customization command:

mkdir -p /var/tmp/sysrescue-customize
bash /usr/local/bin/sysrescue-customize.sh --auto --overwrite \
    --source=${HOME}/Downloads/systemrescue-9.00-amd64.iso \
    --dest=${HOME}/Downloads/systemrescue-9.00-amd64-custom.iso \
    --recipe-dir="${HOME}/sysrescue-custom-recipe" \
    --work-dir="/var/tmp/sysrescue-customize"

This example recipe adds three things to the custom ISO:
- It adds an "authorize_keys" file in /root/.ssh/ so you can connect to the
  custom SystemRescue via SSH and authenticate with your own SSH keys
- It adds three custom autorun scripts so you can use the custom SystemRescue
  to execute administration tasks automatically
- It adds a settings yaml file which overrides the default settings so the
  custom SystemRescue starts with your own preferences, such as an american
  keyboard, it copies the system into RAM (so the boot device can be removed),
  and it automatically starts the graphical environment.

These are just simple examples of useful customizations, but you can do much
more.

Please note the ".squashfs-pseudo" file is important to enforce correct
permissions and ownership on the /root directory and its contents. You should
update this file is you add more custom files into the system through the SRM.

Please read the official documentation for more details:
https://www.system-rescue.org/scripts/sysrescue-customize/
